Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Macros | Functions | Variables
cszip_priv.h File Reference
`#include "hdf_priv.h"`

## Data Structures
struct | comp_coder_szip_info_t

## Macros
#define | H4_SZ_ALLOW_K13_OPTION_MASK 1
#define | H4_SZ_CHIP_OPTION_MASK 2
#define | H4_SZ_EC_OPTION_MASK 4
#define | H4_SZ_LSB_OPTION_MASK 8
#define | H4_SZ_MSB_OPTION_MASK 16
#define | H4_SZ_NN_OPTION_MASK 32
#define | H4_SZ_RAW_OPTION_MASK 128
#define | SZ_H4_REV_2 0x10000 /* special bit to signal revised format */

## Functions
int32 | HCPcszip_stread (accrec_t *rec)
int32 | HCPcszip_stwrite (accrec_t *rec)
int32 | HCPcszip_seek (accrec_t *access_rec, int32 offset, int origin)
int32 | HCPcszip_inquire (accrec_t *access_rec, int32 *pfile_id, uint16 *ptag, uint16 *pref, int32 *plength, int32 *poffset, int32 *pposn, int16 *paccess, int16 *pspecial)
int32 | HCPcszip_read (accrec_t *access_rec, int32 length, void *data)
int32 | HCPcszip_write (accrec_t *access_rec, int32 length, const void *data)
int | HCPcszip_endaccess (accrec_t *access_rec)

## Variables
funclist_t | cszip_funcs

## Macro Definition Documentation

## ◆ H4_SZ_ALLOW_K13_OPTION_MASK

#define H4_SZ_ALLOW_K13_OPTION_MASK 1

## ◆ H4_SZ_CHIP_OPTION_MASK

#define H4_SZ_CHIP_OPTION_MASK 2

## ◆ H4_SZ_EC_OPTION_MASK

#define H4_SZ_EC_OPTION_MASK 4

## ◆ H4_SZ_LSB_OPTION_MASK

#define H4_SZ_LSB_OPTION_MASK 8

## ◆ H4_SZ_MSB_OPTION_MASK

#define H4_SZ_MSB_OPTION_MASK 16

## ◆ H4_SZ_NN_OPTION_MASK

#define H4_SZ_NN_OPTION_MASK 32

## ◆ H4_SZ_RAW_OPTION_MASK

#define H4_SZ_RAW_OPTION_MASK 128

## ◆ SZ_H4_REV_2

#define SZ_H4_REV_2 0x10000 /* special bit to signal revised format */

## Function Documentation

## ◆ HCPcszip_endaccess()

int HCPcszip_endaccess | ( | accrec_t * | access_rec | ) |
| extern

## ◆ HCPcszip_inquire()

int32 HCPcszip_inquire | ( | accrec_t * | access_rec,
|  | int32 * | pfile_id,
|  | uint16 * | ptag,
|  | uint16 * | pref,
|  | int32 * | plength,
|  | int32 * | poffset,
|  | int32 * | pposn,
|  | int16 * | paccess,
|  | int16 * | pspecial )
| extern

## ◆ HCPcszip_read()

int32 HCPcszip_read | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | void * | data )
| extern

## ◆ HCPcszip_seek()

int32 HCPcszip_seek | ( | accrec_t * | access_rec,
|  | int32 | offset,
|  | int | origin )
| extern

## ◆ HCPcszip_stread()

int32 HCPcszip_stread | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcszip_stwrite()

int32 HCPcszip_stwrite | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcszip_write()

int32 HCPcszip_write | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | const void * | data )
| extern

## Variable Documentation

## ◆ cszip_funcs

funclist_t cszip_funcs
| extern